Scoped to the caller: the owner sees every enabled organization, everyone else only their own subtree.
Query parameters
-
Page number
Minimum value is
1. Default value is1. -
Items per page
Minimum value is
1, maximum value is200. Default value is20. -
Field to sort the organizations with rebranding by
Values are
name,organization_type,enabled_at, orupdated_at. -
Sort direction
Values are
ascordesc. Default value isasc. -
Matches the organization name
Minimum length is
1. -
Repeatable. Organization types to keep.
Values are
distributor,reseller, orcustomer. -
Repeatable. Keeps organizations that have branded at least one of these products.
GET
/rebranding/organizations
curl \
--request GET 'https://api.your-domain.com/api/rebranding/organizations' \
--header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
"code": 42,
"message": "string",
"data": {
"organizations": [
{
"id": "string",
"logto_id": "string",
"name": "CloudPoint srl",
"organization_type": "distributor",
"products": [
{
"product_id": "nethvoice",
"product_display_name": "NethVoice",
"product_name": "UrbanGrid"
}
],
"enabled_at": "2026-05-04T09:42:00Z",
"updated_at": "2026-05-04T09:42:00Z"
}
],
"pagination": {
"page": 1,
"page_size": 20,
"total_count": 156,
"total_pages": 8,
"has_next": true,
"has_prev": false,
"next_page": 2,
"prev_page": 42,
"sort_by": "name",
"sort_direction": "asc"
}
}
}
Response examples (401)
{
"code": 401,
"message": "invalid token",
"data": {}
}
Response examples (403)
{
"code": 403,
"message": "insufficient permissions",
"data": {}
}